Package org.codehaus.janino.util

# Class ClassFile.AttributeInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo

Direct Known Subclasses:
  `ClassFile.AnnotationDefaultAttribute`, `ClassFile.AnnotationsAttribute`, `ClassFile.CodeAttribute`, `ClassFile.ConstantValueAttribute`, `ClassFile.DeprecatedAttribute`, `ClassFile.ExceptionsAttribute`, `ClassFile.InnerClassesAttribute`, `ClassFile.LineNumberTableAttribute`, `ClassFile.LocalVariableTableAttribute`, `ClassFile.SignatureAttribute`, `ClassFile.SourceFileAttribute`, `ClassFile.StackMapTableAttribute`, `ClassFile.SyntheticAttribute`

Enclosing class:
  `ClassFile`

public abstract static class ClassFile.AttributeInfo extends Object
Representation of a class file attribute (see JVMS7 4.7).

## Constructor Summary

Constructors
Constructor
Description
`AttributeInfo(short nameIndex)`

## Method Summary

Modifier and Type
Method
Description
`void`
`store(DataOutputStream dos)`
Writes this attribute to a `DataOutputStream`, in the format described in JVMS7 4.7.
`protected abstract void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeInfo

public AttributeInfo(short nameIndex)

## Method Details

### store

public void store(DataOutputStream dos) throws IOException
Writes this attribute to a `DataOutputStream`, in the format described in JVMS7 4.7.

Throws:
  `IOException`

### storeBody

protected abstract void storeBody(DataOutputStream dos) throws IOException
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Throws:
  `IOException`